/*
 * Competence set theme 1.0
 * Supported features: dots/no-dots, icons/no-icons, focused, loading
 * Supported plugins: ui (hovered, clicked), checkbox, contextmenu, search
 */

.jstree-competence-set li,
.jstree-competence-set ins { background-image:url("d.png"); background-repeat:no-repeat; background-color:transparent; }
.jstree-competence-set li { background-position:-90px 0; background-repeat:repeat-y;  }
.jstree-competence-set li.jstree-last { background:transparent; }
.jstree-competence-set .jstree-open > ins { background-position:-72px 0; }
.jstree-competence-set .jstree-closed > ins { background-position:-54px 0; }
.jstree-competence-set .jstree-leaf > ins { background-position:-36px 0; }

.jstree-competence-set a { border-radius:4px; -moz-border-radius:4px; -webkit-border-radius:4px; color: #000; }
.jstree-competence-set .jstree-hovered { background:#d8d880; border:1px solid #d8d880; padding:0 2px 0 1px; }
.jstree-competence-set .jstree-clicked { background:#9c9c25; border:1px solid #9c9c25; padding:0 2px 0 1px; color:white; }
.jstree-competence-set a .jstree-icon { background-position:-56px -36px; }
.jstree-competence-set .jstree-open > a .jstree-icon { background-position:-56px -36px; }
.jstree-competence-set a.jstree-loading .jstree-icon { background:url("throbber.gif") center center no-repeat !important; }

.jstree-competence-set.jstree-focused { background:white; }

.jstree-competence-set .jstree-no-dots li,
.jstree-competence-set .jstree-no-dots .jstree-leaf > ins { background:transparent; }
.jstree-competence-set .jstree-no-dots .jstree-open > ins { background-position:-18px 0; }
.jstree-competence-set .jstree-no-dots .jstree-closed > ins { background-position:0 0; }

.jstree-competence-set .jstree-no-icons a .jstree-icon { display:none; }

.jstree-competence-set .jstree-search { font-style:italic; }

.jstree-competence-set .jstree-no-icons .jstree-checkbox { display:inline-block; }
.jstree-competence-set .jstree-no-checkboxes .jstree-checkbox { display:none !important; }
.jstree-competence-set .jstree-checked > a > .jstree-checkbox { background-position:-38px -19px; }
.jstree-competence-set .jstree-unchecked > a > .jstree-checkbox { background-position:-2px -19px; }
.jstree-competence-set .jstree-undetermined > a > .jstree-checkbox { background-position:-20px -19px; }
.jstree-competence-set .jstree-checked > a > .jstree-checkbox:hover { background-position:-38px -37px; }
.jstree-competence-set .jstree-unchecked > a > .jstree-checkbox:hover { background-position:-2px -37px; }
.jstree-competence-set .jstree-undetermined > a > .jstree-checkbox:hover { background-position:-20px -37px; }

#vakata-dragged.jstree-competence-set ins { background:transparent !important; }
#vakata-dragged.jstree-competence-set .jstree-ok { background:url("d.png") -2px -53px no-repeat !important; }
#vakata-dragged.jstree-competence-set .jstree-invalid { background:url("d.png") -18px -53px no-repeat !important; }
#jstree-marker.jstree-competence-set { background:url("d.png") -41px -57px no-repeat !important; text-indent:-100px; }

.jstree-competence-set a.jstree-search { color:aqua; }
.jstree-competence-set .jstree-locked a { color:silver; cursor:default; }

#vakata-contextmenu.jstree-competence-set-context,
#vakata-contextmenu.jstree-competence-set-context li ul { background:#f0f0f0; border:1px solid #979797; -moz-box-shadow: 1px 1px 2px #999; -webkit-box-shadow: 1px 1px 2px #999; box-shadow: 1px 1px 2px #999; }
#vakata-contextmenu.jstree-competence-set-context li { }
#vakata-contextmenu.jstree-competence-set-context a { color:black; }
#vakata-contextmenu.jstree-competence-set-context a:hover,
#vakata-contextmenu.jstree-competence-set-context .vakata-hover > a { padding:0 5px; background:#e8eff7; border:1px solid #aecff7; color:black; -moz-border-radius:2px; -webkit-border-radius:2px; border-radius:2px; }
#vakata-contextmenu.jstree-competence-set-context li.jstree-contextmenu-disabled a,
#vakata-contextmenu.jstree-competence-set-context li.jstree-contextmenu-disabled a:hover { color:silver; background:transparent; border:0; padding:1px 4px; }
#vakata-contextmenu.jstree-competence-set-context li.vakata-separator { background:white; border-top:1px solid #e0e0e0; margin:0; }
#vakata-contextmenu.jstree-competence-set-context li ul { margin-left:-4px; }

/* IE6 BEGIN */
.jstree-competence-set li,
.jstree-competence-set ins,
#vakata-dragged.jstree-competence-set .jstree-invalid,
#vakata-dragged.jstree-competence-set .jstree-ok,
#jstree-marker.jstree-competence-set { _background-image:url("d.gif"); }
.jstree-competence-set .jstree-open ins { _background-position:-72px 0; }
.jstree-competence-set .jstree-closed ins { _background-position:-54px 0; }
.jstree-competence-set .jstree-leaf ins { _background-position:-36px 0; }
.jstree-competence-set .jstree-open a ins.jstree-icon { _background-position:-56px -36px; }
.jstree-competence-set .jstree-closed a ins.jstree-icon { _background-position:-56px -19px; }
.jstree-competence-set .jstree-leaf a ins.jstree-icon { _background-position:-56px -19px; }
#vakata-contextmenu.jstree-competence-set-context ins { _display:none; }
#vakata-contextmenu.jstree-competence-set-context li { _zoom:1; }
.jstree-competence-set .jstree-undetermined a .jstree-checkbox { _background-position:-20px -19px; }
.jstree-competence-set .jstree-checked a .jstree-checkbox { _background-position:-38px -19px; }
.jstree-competence-set .jstree-unchecked a .jstree-checkbox { _background-position:-2px -19px; }
/* IE6 END */